Subject: Re: ppc/sata-fsl: orphan config value: CONFIG_MPC8315_DS

From: Scott Wood <[email-masked]>
Date: Tue, 29 May 2012 13:02:10 -0500

On 05/26/2012 01:53 AM, Anthony Foiani wrote:
> Li Yang-R58472 <[email-masked]> writes:
> 
>> Thanks for bringing [CONFIG_MPC8315_DS] up again.  Looks like we do
>> have a problem here.
> 
> My impression is that the simplest fix is Adrian's patch, which simply
> keys off CONFIG_MPC831x_RDB.  It's not very satisfying, but I'll take
> "working" vs. "rare lockups at boot".

CONFIG_MPC831x_RDB doesn't mean that you're running on such a board,
only that the kernel supports those boards.  It should be a runtime test.

-Scott